Open CASCADE Technology: MAT_Graph Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MAT_Graph Class Reference

The Class Graph permits the exploration of the Bisector Locus. More...

`#include <MAT_Graph.hxx>`

Inheritance diagram for MAT_Graph:
[legend]

## Public Member Functions
| MAT_Graph ()
| Empty constructor. More...
void | Perform (const Standard_Boolean SemiInfinite, const Handle< MAT_ListOfBisector > &TheRoots, const Standard_Integer NbBasicElts, const Standard_Integer NbArcs)
| Construct <me> from the result of the method <CreateMat> of the class <MAT> from <MAT>. More...
Handle< MAT_Arc > | Arc (const Standard_Integer Index) const
| Return the Arc of index <Index> in <theArcs>. More...
Handle< MAT_BasicElt > | BasicElt (const Standard_Integer Index) const
| Return the BasicElt of index <Index> in <theBasicElts>. More...
Handle< MAT_Node > | Node (const Standard_Integer Index) const
| Return the Node of index <Index> in <theNodes>. More...
Standard_Integer | NumberOfArcs () const
| Return the number of arcs of <me>. More...
Standard_Integer | NumberOfNodes () const
| Return the number of nodes of <me>. More...
Standard_Integer | NumberOfBasicElts () const
| Return the number of basic elements of <me>. More...
Standard_Integer | NumberOfInfiniteNodes () const
| Return the number of infinites nodes of <me>. More...
void | FusionOfBasicElts (const Standard_Integer IndexElt1, const Standard_Integer IndexElt2, Standard_Boolean &MergeArc1, Standard_Integer &GeomIndexArc1, Standard_Integer &GeomIndexArc2, Standard_Boolean &MergeArc2, Standard_Integer &GeomIndexArc3, Standard_Integer &GeomIndexArc4)
| Merge two BasicElts. The End of the BasicElt Elt1 of IndexElt1 becomes The End of the BasicElt Elt2 of IndexElt2. Elt2 is replaced in the arcs by Elt1, Elt2 is eliminated. More...
void | CompactArcs ()
void | CompactNodes ()
void | ChangeBasicElts (const MAT_DataMapOfIntegerBasicElt &NewMap)
Handle< MAT_BasicElt > | ChangeBasicElt (const Standard_Integer Index)
Public Member Functions inherited from MMgt_TShared
virtual void | Delete () const
| Memory deallocator for transient classes. More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

The Class Graph permits the exploration of the Bisector Locus.

## Constructor & Destructor Documentation

MAT_Graph::MAT_Graph | ( |  | ) |

Empty constructor.

## Member Function Documentation

Handle< MAT_Arc > MAT_Graph::Arc | ( | const Standard_Integer | Index | ) | const

Return the Arc of index <Index> in <theArcs>.

Handle< MAT_BasicElt > MAT_Graph::BasicElt | ( | const Standard_Integer | Index | ) | const

Return the BasicElt of index <Index> in <theBasicElts>.

Handle< MAT_BasicElt > MAT_Graph::ChangeBasicElt | ( | const Standard_Integer | Index | ) |

void MAT_Graph::ChangeBasicElts | ( | const MAT_DataMapOfIntegerBasicElt & | NewMap | ) |

void MAT_Graph::CompactArcs | ( |  | ) |

void MAT_Graph::CompactNodes | ( |  | ) |

void MAT_Graph::FusionOfBasicElts | ( | const Standard_Integer | IndexElt1,
|  | const Standard_Integer | IndexElt2,
|  | Standard_Boolean & | MergeArc1,
|  | Standard_Integer & | GeomIndexArc1,
|  | Standard_Integer & | GeomIndexArc2,
|  | Standard_Boolean & | MergeArc2,
|  | Standard_Integer & | GeomIndexArc3,
|  | Standard_Integer & | GeomIndexArc4
| ) |  |

Merge two BasicElts. The End of the BasicElt Elt1 of IndexElt1 becomes The End of the BasicElt Elt2 of IndexElt2. Elt2 is replaced in the arcs by Elt1, Elt2 is eliminated.

<MergeArc1> is True if the fusion of the BasicElts => a fusion of two Arcs which separated the same elements. In this case <GeomIndexArc1> and <GeomIndexArc2> are the Geometric Index of this arcs.

If the BasicElt corresponds to a close line , the StartArc and the EndArc of Elt1 can separate the same elements . In this case there is a fusion of this arcs, <MergeArc2> is true and <GeomIndexArc3> and <GeomIndexArc4> are the Geometric Index of this arcs.

Handle< MAT_Node > MAT_Graph::Node | ( | const Standard_Integer | Index | ) | const

Return the Node of index <Index> in <theNodes>.

Standard_Integer MAT_Graph::NumberOfArcs | ( |  | ) | const

Return the number of arcs of <me>.

Standard_Integer MAT_Graph::NumberOfBasicElts | ( |  | ) | const

Return the number of basic elements of <me>.

Standard_Integer MAT_Graph::NumberOfInfiniteNodes | ( |  | ) | const

Return the number of infinites nodes of <me>.

Standard_Integer MAT_Graph::NumberOfNodes | ( |  | ) | const

Return the number of nodes of <me>.

void MAT_Graph::Perform | ( | const Standard_Boolean | SemiInfinite,
|  | const Handle< MAT_ListOfBisector > & | TheRoots,
|  | const Standard_Integer | NbBasicElts,
|  | const Standard_Integer | NbArcs
| ) |  |

Construct <me> from the result of the method <CreateMat> of the class <MAT> from <MAT>.

<SemiInfinite> : if some bisector are infinites. <TheRoots> : Set of the bisectors. <NbBasicElts> : Number of Basic Elements. <NbArcs> : Number of Arcs = Number of Bisectors.

The documentation for this class was generated from the following file:

- MAT_Graph.hxx